UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo Class Reference

## Public Member Functions
| UMESourceEventDeregistrationSuccessInfo ()
| UMESourceEventDeregistrationSuccessInfo (int flags, long registrationId, long sequenceNumber, int storeIndex, String store) throws LBMEInvalException
int | flags ()
long | registrationId ()
long | sequenceNumber ()
int | storeIndex ()
String | store ()

## Detailed Description

UME Source Event Deregistration Success Info class. Retrieved with the LBMSourceEvent#deregistrationSuccessInfo() method. Contains extended Deregistration success info.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo | ( |  | ) |

Creates a UMESourceEventDeregistrationSuccessInfo object and initializes all fields to 0/null.

Since
  UME 2.0

com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo | ( | int | flags,
|  | long | registrationId,
|  | long | sequenceNumber,
|  | int | storeIndex,
|  | String | store
| ) |  | throws LBMEInvalException

Creates a UMESourceEventDeregistrationSuccessInfo object and initializes fields to the given values.

Parameters

  flags | Informational flags concerning the type of store registration.
  registrationId | The source's registration ID with this store (must be >= 0).
  storeIndex | Index of the store (must be >= 0).
  store | Name of the store.
  sequenceNumber | The sequence number to start at, according to the store.

Exceptions

  LBMEInvalException | if registrationId or storeIndex are < 0.

Since
  UME 2.0

References com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.flags(), com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.registrationId(), com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.sequenceNumber(), com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.store(), and com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.storeIndex().

## Member Function Documentation

int com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.flags | ( |  | ) |

Returns store registration type flags.

Returns
  Informational flags about the source's registration.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.store(), and com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo().

long com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.registrationId | ( |  | ) |

Returns the source's registration ID.

Returns
  Source's registration ID with this store.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.store(), and com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo().

long com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.sequenceNumber | ( |  | ) |

Returns source's starting sequence number.

Returns
  Source's starting sequence number.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.store(), and com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo().

String com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.store | ( |  | ) |

Returns the name (IP address) of the store registered with.

Returns
  Name of the store.

Since
  UME 2.0

References com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.flags(), com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.registrationId(), com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.sequenceNumber(), and com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.storeIndex().

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo().

int com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.storeIndex | ( |  | ) |

Returns the index of the store this source successfully registered to.

Returns
  Index of the store.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.store(), and com.latencybusters.lbm.UMESourceEventDeregistrationSuccessInfo.UMESourceEventDeregistrationSuccessInfo().

The documentation for this class was generated from the following file:

- UMESourceEventDeregistrationSuccessInfo.java